View Issue Details

IDProjectCategoryView StatusLast Update
00297502.x IDE BugsMy LibraryPublic2019-06-25 15:28
ReporterStewart BishopAssigned ToAlan Savage 
PriorityVery HighSeveritySuggestionReproducibilityN/A
Status ClosedResolutionReopened 
Product Version2.1.4 
Target Version2.2.3Fixed in Version2.2.3 
Summary0029750: Suggestion: My Library: Importing the same asset again should ask if you want to overwrite, not just make duplicates
DescriptionIf you have version 1 of an asset in a project and the developer of said asset updates it to version 2, then if you obtain it from your library again and import this into a project which already contains version 1's files, rather than overwriting the files as expected it will simply create duplicates. Users are required to delete already existing versions of an asset before adding it back in, which they shouldn't need to do.

[Dan: Suggest that we should actually ask them if they want to overwrite, as they might have customised the files already in the project. Also, the same system should be applied to simply re-importing version 1 again to "reset the resources to defaults". However, just carrying on with making a duplicate copy of the asset does seem wrong.]
Steps To Reproduce1) Create a marketplace asset
2) Download it
3) Import it to your project
4) Update the marketplace asset
5) Download that update, then import into your project again
6) See that, rather than overwriting your asset, it adds duplicates
Tagsfsd
2.x IDE Found In2.1.5.314
2.x Runtime Found In2.1.5.237
2.x IDE Verified In2.2.3.429
2.x Runtime Verified In2.2.3.338

Relationships

has duplicate 0030307 ClosedDan Marketplace: No way to import updated assets 

Activities

Mike Dailly

2018-07-16 09:51

Developer   ~0060861

Suggestion - Write up an FSD

Dan

2019-06-07 09:24

Adminstrator   ~0064128

Reopening this one for fresh discussion, as it should have been changed a long time ago for MP imports, but also now the local asset packages in 2.2.3 have the same issue as they use the same export/import process.

Dan

2019-06-24 12:30

Adminstrator   ~0064254

IDE 427+

Scott Dunbar

2019-06-25 15:28

Adminstrator   ~0064289

Verified that this exists and works in 2.2.3.429